Delete Exposure
curl --request DELETE \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/exposures/{exposureId} \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/exposures/{exposureId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/exposures/{exposureId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"deleted": true
}Exposures
Delete Exposure
Soft deletes a Field Model V1 exposure by ID.
The exposure will be marked as deleted and will no longer appear in list operations. Exposures with associated policies, quotes, events, or transactions cannot be deleted.
Required permission: insured:delete
DELETE
/
api
/
v1
/
external
/
companies
/
{companyId}
/
exposures
/
{exposureId}
Delete Exposure
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
The ID of the exposure to delete
Was this page helpful?
⌘I
